PaidGoods
API referencePayment methods

This email pays that invoice: mark it paid (manually completed)

POST
/v1/stores/{storeId}/payment-emails/{emailId}/match

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
emailId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/payment-emails/string/match" \  -H "Content-Type: application/json" \  -d '{    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",  "methodLabel": "string",  "source": "inbound",  "fromAddress": "string",  "originalFrom": "string",  "subject": "string",  "bodyPreview": "string",  "provider": "string",  "amount": "string",  "currency": "string",  "payer": "string",  "senderAuthenticated": true,  "state": "matched",  "reason": "string",  "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",  "receivedAt": "string"}